#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: pipes
version: 4.3.4
id: pipes-4.3.4-2oiWVQSy2yOC4qzO1fqRx0
key: pipes-4.3.4-2oiWVQSy2yOC4qzO1fqRx0
license: BSD3
copyright: 2012-2016 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
synopsis: Compositional pipelines
description:
    `pipes` is a clean and powerful stream processing library that lets you build
    and connect reusable streaming components
    .
    Advantages over traditional streaming libraries:
    .
    * /Concise API/: Use simple commands like '\''for'\'', ('\''>->'\''), '\''await'\'', and '\''yield'\''
    .
    * /Blazing fast/: Implementation tuned for speed, including shortcut fusion
    .
    * /Lightweight Dependency/: @pipes@ is small and compiles very rapidly,
    including dependencies
    .
    * /Elegant semantics/: Use practical category theory
    .
    * /ListT/: Correct implementation of '\''ListT'\'' that interconverts with pipes
    .
    * /Bidirectionality/: Implement duplex channels
    .
    * /Extensive Documentation/: Second to none!
    .
    Import "Pipes" to use the library.
    .
    Read "Pipes.Tutorial" for an extensive tutorial.
category: Control, Pipes
author: Gabriel Gonzalez
exposed: True
indefinite: False
exposed-modules:
    Pipes Pipes.Core Pipes.Internal Pipes.Lift Pipes.Prelude
    Pipes.Tutorial
abi: 8b373f6b19789345ce22cc2608174cae
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/pipes-4.3.4
library-dirs: /usr/lib/ghc-8.2.1/site-local/pipes-4.3.4
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/pipes-4.3.4
hs-libraries: HSpipes-4.3.4-2oiWVQSy2yOC4qzO1fqRx0
depends:
    base-4.10.0.0 transformers-0.5.2.0
    exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    mmorph-1.1.0-37w2Q5ydIlk2ujAQgXDANa
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3 void-0.7.2-KNNEd7XG9bDRysTndgnf2
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=98ab8c145be258d01b7a6333e00858ed
             mmorph-1.1.0-37w2Q5ydIlk2ujAQgXDANa=816993e444b05565d466f0b18b08ab35
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             void-0.7.2-KNNEd7XG9bDRysTndgnf2=e45a06b6abcbf654a03aca35c4e20206
haddock-interfaces: /usr/share/doc/haskell-pipes/html/pipes.haddock
haddock-html: /usr/share/doc/haskell-pipes/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

